ActionListenerImpl (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.faces.application
Class ActionListenerImpl

    java.lang.Object
      org.apache.struts.faces.application.ActionListenerImpl

All Implemented Interfaces:
  EventListener, javax.faces.event.ActionListener, javax.faces.event.FacesListener

    public final class ActionListenerImpl

extends Object
implements javax.faces.event.ActionListener

Concrete implementation of `ActionListener` that replaces the default provided implementation. It converts application-level events into execution of the corresponding Struts request processing lifecycle.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Constructor Summary
`ActionListenerImpl(javax.faces.event.ActionListener original)` Construct a new default `ActionListener` instance, passing it the previously configured one.

Method Summary
`protected RequestProcessor` | `getRequestProcessor(ModuleConfig config, ServletContext context)` Look up and return the `RequestProcessor` responsible for the specified module, creating a new one if necessary.
`void` | `processAction(javax.faces.event.ActionEvent event)` Process the specified `ActionEvent`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionListenerImpl

    public ActionListenerImpl(javax.faces.event.ActionListener original)

  Construct a new default `ActionListener` instance, passing it the previously configured one.

  Parameters:
    `original` - Original default `ActionListener`
  Throws:
    `NullPointerException` - if `original` is `null`

Method Detail

### processAction

    public void processAction(javax.faces.event.ActionEvent event)
                       throws javax.faces.event.AbortProcessingException

  Process the specified `ActionEvent`.

  Specified by:
    `processAction` in interface `javax.faces.event.ActionListener`
  Parameters:
    `event` - The `ActionEvent` to be processed
  Throws:
    `javax.faces.event.AbortProcessingException` - to signal that no further event processing should be performed

### getRequestProcessor

    protected RequestProcessor getRequestProcessor(ModuleConfig config,
                                                   ServletContext context)

  Look up and return the `RequestProcessor` responsible for the specified module, creating a new one if necessary. This method is based on the corresponding code in `ActionServlet`, which cannot be used directly because it is a protected method.

  Parameters:
    `config` - The module configuration for which to acquire and return a RequestProcessor
    `context` - The `ServletContext` instance for this web application
  Throws:
    `IllegalStateException` - if we cannot instantiate a RequestProcessor instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.